Retrieve a Task
get
/bpm/api/4.0/tasks/{id}
Retrieves a task by task ID (The task number).
Request
Path Parameters
-
id(required): string
Task ID (Internally known as the task number)
Query Parameters
-
expand(required): string
Value of all fields that are to be expanded (detailed) - All, comments, attachments, history, payload. If not specified Links to each of the fields is returned.Default Value:
-
metadataFlag(required): boolean
Metadata - true or falseDefault Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : Task
Type:
Show Source
object-
artifacts: array
artifacts
-
contextId: string
-
final: boolean
Indicates whether the task update is the final update.
-
history: array
history
-
id: string
-
kind: string
Default Value:
task -
metadata: object
metadata
Additional Properties Allowed:
true -
status: object
TaskStatus
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : TaskStatus
Type:
Show Source
object-
message: object
Message
-
state: string
Allowed Values:
[ "submitted", "working", "input-required", "completed", "canceled", "failed", "unknown" ] -
timestamp: string
UTC timestamp string.
Nested Schema : Artifact
Type:
Show Source
object-
append: boolean
-
artifactId: string
-
description: string
-
lastChunk: boolean
-
metadata: object
metadata
Additional Properties Allowed:
true -
name: string
-
parts: array
parts
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : TextPart
Type:
Show Source
object-
kind: string
Default Value:
text -
metadata: object
metadata
Additional Properties Allowed:
true -
text: string
Text content.
-
type: string
Part type.Example:
text
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : Message
Type:
Show Source
object-
contextId: string
Conversation identifier. For `message/stream`, this must be nested under `params.message`.
-
kind: string
Default Value:
message -
messageId: string
-
metadata: object
metadata
Additional Properties Allowed:
true -
parts: array
parts
-
role: string
Allowed Values:
[ "user", "agent" ] -
taskId: string
Optional task identifier used for resumed or task-associated message flows.
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
true400 Response
Bad request
401 Response
Unauthorized
404 Response
Task not found for given ID.
500 Response
Internal Server Error